Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.ui.rememberme
Class RememberMeProcessingFilter

    java.lang.Object
      org.acegisecurity.ui.rememberme.RememberMeProcessingFilter

All Implemented Interfaces:
  javax.servlet.Filter, InitializingBean, ApplicationEventPublisherAware

    public class RememberMeProcessingFilter

extends Object
implements javax.servlet.Filter, InitializingBean, ApplicationEventPublisherAware

Detects if there is no `Authentication` object in the `SecurityContext`, and populates it with a remember-me authentication token if a `RememberMeServices` implementation so requests.

Concrete `RememberMeServices` implementations will have their `RememberMeServices.autoLogin(HttpServletRequest, HttpServletResponse)` method called by this filter. The `Authentication` or `null` returned by that method will be placed into the `SecurityContext`.

If authentication is successful, an `InteractiveAuthenticationSuccessEvent` will be published to the application context. No events will be published if authentication was unsuccessful, because this would generally be recorded via an `AuthenticationManager`-specific application event.

Do not use this class directly. Instead configure `web.xml` to use the `FilterToBeanProxy`.

Version:
  $Id: RememberMeProcessingFilter.java,v 1.10 2005/11/17 00:56:09 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`RememberMeProcessingFilter()`

Method Summary
`void` | `afterPropertiesSet()`
`void` | `destroy()` Does nothing - we rely on IoC lifecycle services instead.
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`RememberMeServices` | `getRememberMeServices()`
`void` | `init(javax.servlet.FilterConfig ignored)` Does nothing - we rely on IoC lifecycle services instead.
`void` | `setApplicationEventPublisher(ApplicationEventPublisher eventPublisher)`
`void` | `setRememberMeServices(RememberMeServices rememberMeServices)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RememberMeProcessingFilter

    public RememberMeProcessingFilter()

Method Detail

### setApplicationEventPublisher

    public void setApplicationEventPublisher(ApplicationEventPublisher eventPublisher)

  Specified by:
    `setApplicationEventPublisher` in interface `ApplicationEventPublisherAware`

### setRememberMeServices

    public void setRememberMeServices(RememberMeServices rememberMeServices)

### getRememberMeServices

    public RememberMeServices getRememberMeServices()

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### destroy

    public void destroy()

  Does nothing - we rely on IoC lifecycle services instead.

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig ignored)
              throws javax.servlet.ServletException

  Does nothing - we rely on IoC lifecycle services instead.

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Parameters:
    `ignored` - not used
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.